Configured (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.conf, class: Configured

Package org.apache.hadoop.conf

# Class Configured

java.lang.Object
org.apache.hadoop.conf.Configured

All Implemented Interfaces:
  `Configurable`

Direct Known Subclasses:
  `AvroSerialization`, `CLI`, `Client`, `DistCp`, `FileSystem`, `InputSampler`, `LogsCLI`, `PathOutputCommitterFactory`, `ResourceCalculatorProcessTree`, `SchedConfCLI`, `Submitter`, `Trash`, `TrashPolicy`, `WritableSerialization`

@Public @Stable public class Configured extends Object implements Configurable
Base class for things that may be configured with a `Configuration`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Configured()`
  Construct a Configured.
  `Configured(Configuration conf)`
  Construct a Configured.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Configuration`
  `getConf()`
  Return the configuration used by this object.
  `void`
  `setConf(Configuration conf)`
  Set the configuration to be used by this object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Configured

    public Configured()
    Construct a Configured.

  - ### Configured

    public Configured(Configuration conf)
    Construct a Configured.
    Parameters:
      `conf` - the Configuration object.

- ## Method Details

  - ### setConf

    public void setConf(Configuration conf)
    Description copied from interface: `Configurable`
    Set the configuration to be used by this object.
    Specified by:
      `setConf` in interface `Configurable`
    Parameters:
      `conf` - configuration to be used

  - ### getConf

    public Configuration getConf()
    Description copied from interface: `Configurable`
    Return the configuration used by this object.
    Specified by:
      `getConf` in interface `Configurable`
    Returns:
      Configuration